--- old/usr/src/lib/libc/port/locale/wctomb.c	Sun Jun 29 11:51:49 2014
+++ new/usr/src/lib/libc/port/locale/wctomb.c	Sun Jun 29 11:51:49 2014
@@ -1,5 +1,5 @@
 /*
- * Copyright 2013 Garrett D'Amore <garrett@damore.org>
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright 2010 Nexenta Systems, Inc.  All rights reserved.
  * Copyright (c) 2002-2004 Tim J. Robbins.
  * All rights reserved.
@@ -36,13 +36,11 @@
 int
 wctomb_l(char *s, wchar_t wchar, locale_t loc)
 {
-	static const mbstate_t initial = { 0 };
-	static mbstate_t mbs;
+	mbstate_t mbs = { 0 };
 	size_t rval;
 
 	if (s == NULL) {
 		/* No support for state dependent encodings. */
-		mbs = initial;
 		return (0);
 	}
 	if ((rval = wcrtomb_l(s, wchar, &mbs, loc)) == (size_t)-1)
